<li [ngClass]="{'editing': editing, 'completed': todo?.completed}">
  <todo-text-input
    *ngIf="editing"
    [text]="todo?.text"
    [editing]="editing"
    (onSave)="handleSave($event)"
    ></todo-text-input>
  <div class="view" *ngIf="!editing">
    <input
      class="toggle"
      type="checkbox"
      [checked]="todo?.completed"
      (click)="handleChange()"
      />
    <label (dblclick)="handleDoubleClick()">{{todo?.text}}</label>
    <button class="destroy" (click)="handleClick()"></button>
  </div>
</li>
